Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006580TestLinkFilters - Test Specificationpublic2014-09-17 07:242015-01-31 11:34
Reporterrichinek 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.10 (2014 Q1 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006580: Test Specification - Possibility to filter test cases without some keywords
DescriptionFeature request: Add "Not" operator to filter.

Currently there is no possibility to filter test cases without some keywords. This is useful for instance when adding tagged test cases to testplan.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon not.png [^] (44,245 bytes) 2014-09-17 07:24


xml file icon TS100.testsuite-children-testcases.xml [^] (4,859 bytes) 2014-09-21 15:46

- Relationships
related to 0006919assignedfman Test Execution - Possibility to filter test cases without some keywords 
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0021605)
fman (administrator)
2014-09-17 09:04

why is not enough select ALL OTHER keywords, excluding what you do not want?
(0021607)
richinek (reporter)
2014-09-17 09:16
edited on: 2014-09-17 09:27

Well, it will not work. If you have testcase1 with keywords 'A', 'B' and testcase2 with keyword 'B', how will you set the filter, if you want to select testcase without keyword 'A'? Is it somehow possible?

(0021645)
fman (administrator)
2014-09-21 15:46

Use attached test cases to test.
(0021646)
fman (administrator)
2014-09-21 16:07

https://gitorious.org/testlink-ga/testlink-code/commit/2dde2a68daa2e27b096445d1a0e612da48037d67 [^]
(0021694)
fman (administrator)
2014-09-27 16:42

Release done

- Issue History
Date Modified Username Field Change
2014-09-17 07:24 richinek New Issue
2014-09-17 07:24 richinek File Added: not.png
2014-09-17 09:04 fman Note Added: 0021605
2014-09-17 09:16 richinek Note Added: 0021607
2014-09-17 09:16 richinek Note Edited: 0021607 View Revisions
2014-09-17 09:27 richinek Note Edited: 0021607 View Revisions
2014-09-21 14:53 fman QA Team - Task Workflow Status => TBD
2014-09-21 14:53 fman Severity minor => feature request
2014-09-21 14:53 fman Category New Feature => Filters - Test Specification
2014-09-21 14:53 fman Summary Possibility to filter test cases without some keywords => Test Specification - Possibility to filter test cases without some keywords
2014-09-21 15:46 fman Note Added: 0021645
2014-09-21 15:46 fman File Added: TS100.testsuite-children-testcases.xml
2014-09-21 16:07 fman Note Added: 0021646
2014-09-21 16:08 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-09-21 16:08 fman Status new => resolved
2014-09-21 16:08 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-09-21 16:08 fman Resolution open => fixed
2014-09-21 16:08 fman Assigned To => fman
2014-09-21 16:08 fman Relationship added child of 0006457
2014-09-27 16:42 fman Note Added: 0021694
2014-09-27 16:42 fman Status resolved => closed
2015-01-31 11:34 fman Issue cloned: 0006919
2015-01-31 11:34 fman Relationship added related to 0006919



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker